﻿using JetBrains.Annotations;

namespace Magify
{
    public class MagifyArgumentOutOfRangeException : MagifyException
    {
        public MagifyArgumentOutOfRangeException([NotNull] string argumentName, [CanBeNull] string range = default) : base($"Argument '{argumentName}' out of range{range}.")
        {
        }
    }
}