# 🧙 Magify Unity3d SDK

[![sdk](https://img.shields.io/badge/sdk-4.2.0-green)](https://github.com/Magify-LTD/magify-unity)
[![service](https://img.shields.io/badge/service-4.2.0-green)](https://github.com/Magify-LTD/magify-unity)

```
{
  "dependencies": {
    "com.magify.unity-sdk": "file:com.magify.unity-sdk-4.2.0.tgz",
    "com.magify.unity-sdk-service": "file:com.magify.unity-sdk-service-4.2.0.tgz",
    ...
  },
}
```

> **Full documentation with example at [version page](https://magify.atlassian.net/wiki/spaces/GW/pages/1280164/Releases).**


# Change Log

## [4.2.0]
- [SDK] Added logic to save and restore user progress (#587)
- [SDK] Apped opportunity to set which scopes of remote config you want to load (#613)
- [SDK] Added opportunity to get segmentations and assigned ab-tests for the current user (#614)
- [SDK] Removed TrackInstalls event (#615)
- [SDK] MagifyEditorMoq returns null by default for any LTO (#619)

# CONTACTS

| #  | Name                                                                                                     | Position             |
|:--:|----------------------------------------------------------------------------------------------------------|----------------------|
| 1  | [Kirill Dudnik](https://magifycom.slack.com/team/U074KHLMRAA) ([email](kirill.dudnik@magify.com))        | Unity                |