﻿using System;

namespace Magify
{
    internal interface IFeatures
    {
        public event Action OnUpdate;
        bool IsCurrentFeaturesParsed { get; }

        public bool TryGetBool(string featureName, out bool result);
        public bool GetBool(string featureName);

        public bool TryGetNumber(string featureName, out double result);
        public double GetNumber(string featureName);

        public bool TryGetString(string featureName, out string result);
        public string GetString(string featureName);
    }
}