using System;
using Newtonsoft.Json;

namespace Magify.Model
{
    internal class MailingStatusMappingEvent : IAnalyticsEvent
    {
        [JsonProperty("email")]
        public string Email { get; init; }

        [JsonProperty("timestamp")]
        public double Timestamp { get; init; } = TimestampExtensions.UtcNowTimestamp;
    }
}